
 /* SD_ChangeSubs.c
    - Functions for controlling AGA-Support -
    (c) 1990-94 by Andreas R. Kleinert
    Last changes : 14.02.1994
 */

#include "svdriver.h"

ULONG __saveds __asm SVD_SetScreenType( register __a1 struct SVDriverHandle *SVDriverHandle_a1, register __d1 ULONG type, register __a2 APTR future);
ULONG __saveds __asm SVD_SetWindowFlags( register __a1 struct SVDriverHandle *SVDriverHandle_a1, register __d1 ULONG flags, register __a2 APTR future);
ULONG __saveds __asm SVD_SetWindowIDCMP( register __a1 struct SVDriverHandle *SVDriverHandle_a1, register __d1 ULONG idcmp, register __a2 APTR future);
struct Screen * __saveds __asm SVD_GetScreenAddress( register __a1 struct SVDriverHandle *SVDriverHandle_a1, register __a2 APTR future);
struct Window * __saveds __asm SVD_GetWindowAddress( register __a1 struct SVDriverHandle *SVDriverHandle_a1, register __a2 APTR future);


/* *************************************************** */
/* *						     * */
/* * SVD_SetScreenType :                             * */
/* *						     * */
/* *************************************************** */

ULONG __saveds __asm SVD_SetScreenType( register __a1 struct SVDriverHandle *SVDriverHandle_a1, register __d1 ULONG type, register __a2 APTR future)
{
 struct SVDriverHandle *SVDriverHandle = SVDriverHandle_a1;

 if(!SVDriverHandle) return(SVERR_NO_HANDLE);

 SVDriverHandle->ah_ScreenType = type;

 return(SVERR_NO_ERROR);
}

/* *************************************************** */
/* *						     * */
/* * SVD_SetWindowFlags :                            * */
/* *						     * */
/* *************************************************** */

ULONG __saveds __asm SVD_SetWindowFlags( register __a1 struct SVDriverHandle *SVDriverHandle_a1, register __d1 ULONG flags, register __a2 APTR future)
{
 struct SVDriverHandle *SVDriverHandle = SVDriverHandle_a1;

 if(!SVDriverHandle) return(SVERR_NO_HANDLE);

 SVDriverHandle->ah_WindowFlags = flags;

 return(SVERR_NO_ERROR);
}

/* *************************************************** */
/* *						     * */
/* * SVD_SetWindowIDCMP :                            * */
/* *						     * */
/* *************************************************** */

ULONG __saveds __asm SVD_SetWindowIDCMP( register __a1 struct SVDriverHandle *SVDriverHandle_a1, register __d1 ULONG idcmp, register __a2 APTR future)
{
 struct SVDriverHandle *SVDriverHandle = SVDriverHandle_a1;

 if(!SVDriverHandle) return(SVERR_NO_HANDLE);

 SVDriverHandle->ah_WindowIDCMP = idcmp;

 return(SVERR_NO_ERROR);
}

/* *************************************************** */
/* *						     * */
/* * SVD_GetScreenAddress :                          * */
/* *						     * */
/* *************************************************** */

struct Screen * __saveds __asm SVD_GetScreenAddress( register __a1 struct SVDriverHandle *SVDriverHandle_a1, register __a2 APTR future)
{
 struct SVDriverHandle *SVDriverHandle = SVDriverHandle_a1;

 if(!SVDriverHandle) return(N);

 return(SVDriverHandle->ah_Screen);
}

/* *************************************************** */
/* *						     * */
/* * SVD_GetWindowAddress :                          * */
/* *						     * */
/* *************************************************** */

struct Window * __saveds __asm SVD_GetWindowAddress( register __a1 struct SVDriverHandle *SVDriverHandle_a1, register __a2 APTR future)
{
 struct SVDriverHandle *SVDriverHandle = SVDriverHandle_a1;

 if(!SVDriverHandle) return(N);

 return(SVDriverHandle->ah_Window);
}
