/* clib/svdrivers.h                 */
/* Version    : 3.5                 */
/* Date       : 25.03.1994          */
/* Written by : Andreas R. Kleinert */

/* SVDriver-Version V1.x+ */

#ifndef CLIB_SVDRIVERS_PROTOS_H
#define CLIB_SVDRIVERS_PROTOS_H

#ifndef SVDRIVERS_SVDRIVERS_H
#include <svdrivers/svdrivers.h>
#endif /* SVDRIVERS_SVDRIVERS_H */

APTR SVD_AllocHandle(       APTR future);
ULONG SVD_FreeHandle(       APTR handle);
ULONG SVD_CloseDisplay(     APTR handle);
ULONG SVD_FreeResources(    APTR handle);
ULONG SVD_SetGfxBuffer(     APTR handle,
                            struct SV_GfxBuffer *bufferhandle,
                            ULONG future);
ULONG SVD_DisplayGfxBuffer( APTR handle,
                            ULONG future);
ULONG SVD_SetScreenType(    APTR handle,
                            ULONG flags,
                            APTR future);
ULONG SVD_SetWindowFlags(   APTR handle,
                            ULONG flags,
                            APTR future);
ULONG SVD_SetWindowIDCMP(   APTR handle,
                            ULONG flags,
                            APTR future);
APTR  SVD_GetScreenAddress( APTR handle,
                            APTR future);
APTR  SVD_GetWindowAddress( APTR handle,
                            APTR future);

#endif /* CLIB_SVDRIVERS_PROTOS_H */
